//
// Author:    Jae Chung
// Date:      10/20/99
// File Name: cbt.h
//

#ifndef ns_cbt_dynamic_h
#define ns_cbt_dynamic_h

#include "cbt.h"
#include "cnt-flow.h"

// Dynamic CBT Queue Definitions
class DynamicCBTQueue : public CBTQueue {
 public:
        DynamicCBTQueue();
 protected:
	Packet* deque();
	void enque(Packet* pkt);
	int PickPacketToDrop();

	int chips_;
        PacketQueue *vq_;

	FlowCounter tcp_counter;
	FlowCounter udp_counter;
	FlowCounter mmu_counter;
};

#endif



